/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.PropagatesTransaction;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Has a @Requires attribute applied to the class, containing the "propagatesTransaction" intent
 */
@Service(Service1.class)
@Requires(PropagatesTransaction.PROPAGATESTRANSACTION)
public class service1WithIntentImpl implements Service1 {
	
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
