/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebService;

import org.oasisopen.sca.annotation.*;

/**
 * Java component implementation
 * 1 service with interface "Service1" indicated via a JAXWS @WebService annotation, with its WsdlLocation property
 *   set to the "Service1" WSDL interface
 * 0 references
 *
 */
@WebService(name="Service1", wsdlLocation="Service1.wsdl")
public class Service1JWSWebServiceWSDLImpl {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
